import 'base_constants.dart';

class M88 extends BaseProjectConstants {
  /*  */
  static const BASE_URL = "http://www.vnm88.com/";
  static const FULL_URL = "servlet/api/ApiAction";

  static const AUTHEN_URL = FULL_URL + "?function=Login";
  static const HOME_URL = FULL_URL + "?function=GetHome";

  static const UPDATE_BANK_URL = FULL_URL + "?function=UpdateBank";
  static const UPDATE_IDENTITY_URL = FULL_URL + "?function=UpdateIdCard";
  static const UPDATE_CONTACT_URL = FULL_URL + "?function=UpdateContact";
  static const UPDATE_CONTACTS_URL = FULL_URL + "?function=GetAddressBook";
  static const UPDATE_LOCATION_URL = FULL_URL + "?function=UserLocationCheck";

  static const REQUEST_LOAN_URL = FULL_URL + "?function=UpdateBank";

  static const UPLOAD_VIDEO_URL = FULL_URL + "?function=CheckVideoUrl";
  static const UPLOAD_REPAY_BILL_URL = FULL_URL + "?function=UpdateRefundMoney";

  /*  */
  static const OSS_BASE_URL = "http://oss-cn-hongkong.aliyuncs.com/";
  static const OSS_IMAGE_BURKET = "m99";
  static const OSS_IMAGE_KEY_ID = "LTAIgc2jHlbGKKYP";
  static const OSS_IMAGE_KEY_SECRET = "DexBHgiaSHNImkvQZe1BKBclxUoXzF";

  @override
  String getBaseUrl() {
    return BASE_URL;
  }

  @override
  String getAuthenUrl() {
    return AUTHEN_URL;
  }

  @override
  String getHomeUrl() {
    return HOME_URL;
  }

  @override
  String getRequestLoanUrl() {
    return REQUEST_LOAN_URL;
  }

  @override
  String getUpdateBankUrl() {
    return UPDATE_BANK_URL;
  }

  @override
  String getUpdateContactUrl() {
    return UPDATE_CONTACT_URL;
  }

  @override
  String getUpdateContactsUrl() {
    return UPDATE_CONTACTS_URL;
  }

  @override
  String getUpdateIdentityUrl() {
    return UPDATE_IDENTITY_URL;
  }

  @override
  String getUpdateLocationUrl() {
    return UPDATE_LOCATION_URL;
  }

  @override
  String getUpdateRepayBillUrl() {
    return UPLOAD_REPAY_BILL_URL;
  }

  @override
  String getUpdateVideoUrl() {
    return UPLOAD_VIDEO_URL;
  }

}